Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 13544)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 13545)
@@ -35,8 +35,6 @@
     NigeriaApplicantRegistrationPage,
     NigeriaExportPDFPaymentSlipPage,
-    UG_OMIT_DISPLAY_FIELDS,
-    UG_OMIT_PDF_FIELDS,
-    UG_OMIT_MANAGE_FIELDS,
-    UG_OMIT_EDIT_FIELDS)
+    )
+from kofacustom.nigeria.applicants.interfaces import OMIT_DISPLAY_FIELDS
 from waeup.aaue.applicants.interfaces import (
     ICustomUGApplicant,
@@ -45,21 +43,73 @@
     )
 
-UG_OMIT_PDF_FIELDS = tuple([
-    element for element in UG_OMIT_PDF_FIELDS if not element == 'phone'])
-UG_OMIT_PDF_FIELDS += ('reg_number','alr_fname', 'alr_no', 'alr_date',
-    'alr_results', 'notice')
-
-FP_OMIT_FIELDS = ('hq_type', 'hq_fname', 'hq_matric_no',
-     'hq_degree', 'hq_school', 'hq_session', 'hq_disc')
-FP_OMIT_DISPLAY_FIELDS = UG_OMIT_DISPLAY_FIELDS + FP_OMIT_FIELDS
-FP_OMIT_PDF_FIELDS = UG_OMIT_PDF_FIELDS + FP_OMIT_FIELDS
-FP_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + FP_OMIT_FIELDS
-FP_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + FP_OMIT_FIELDS
-
-PG_OMIT_FIELDS = ('programme_type',)
-PG_OMIT_DISPLAY_FIELDS = UG_OMIT_DISPLAY_FIELDS + PG_OMIT_FIELDS
-PG_OMIT_PDF_FIELDS = UG_OMIT_DISPLAY_FIELDS + PG_OMIT_FIELDS
-PG_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + PG_OMIT_FIELDS
-PG_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + PG_OMIT_FIELDS
+UG_OMIT_FIELDS = (
+      'hq_type', 'hq_fname', 'hq_matric_no',
+      'hq_degree', 'hq_school', 'hq_session', 'hq_disc',
+      'hq_type2', 'hq_fname2', 'hq_matric_no2',
+      'hq_degree2', 'hq_school2', 'hq_session2', 'hq_disc2',
+      'hq_type3', 'hq_fname3', 'hq_matric_no3',
+      'hq_degree3', 'hq_school3', 'hq_session3', 'hq_disc3'
+      )
+UG_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + ('jamb_subjects_list',) + UG_OMIT_FIELDS
+UG_OMIT_PDF_FIELDS = UG_OMIT_DISPLAY_FIELDS + UG_OMIT_FIELDS + (
+      'reg_number','alr_fname', 'alr_no', 'alr_date',
+      'alr_results', 'notice')
+UG_OMIT_MANAGE_FIELDS = ('special_application','jamb_subjects_list',) + UG_OMIT_FIELDS
+UG_OMIT_EDIT_FIELDS = UG_OMIT_MANAGE_FIELDS + OMIT_DISPLAY_FIELDS + UG_OMIT_FIELDS + (
+    'student_id',
+    'notice',
+    'screening_score',
+    'screening_venue',
+    'screening_date',
+    'jamb_age',
+    'jamb_subjects',
+    'jamb_score',
+    'jamb_reg_number',
+    'aggregate')
+
+#UG_OMIT_PDF_FIELDS = tuple([
+#    element for element in UG_OMIT_PDF_FIELDS if not element == 'phone'])
+
+#UG_OMIT_PDF_FIELDS += (
+#      'reg_number','alr_fname', 'alr_no', 'alr_date',
+#      'alr_results', 'notice'
+#      )
+
+FP_OMIT_DISPLAY_FIELDS = UG_OMIT_DISPLAY_FIELDS + UG_OMIT_FIELDS
+FP_OMIT_PDF_FIELDS = UG_OMIT_PDF_FIELDS + UG_OMIT_FIELDS
+FP_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + UG_OMIT_FIELDS
+FP_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + UG_OMIT_FIELDS
+
+PG_OMIT_FIELDS = (
+    'fst_sit_fname',
+    'fst_sit_no',
+    'fst_sit_date',
+    'fst_sit_type',
+    'fst_sit_results',
+    'scd_sit_fname',
+    'scd_sit_no',
+    'scd_sit_date',
+    'scd_sit_type',
+    'scd_sit_results',
+    'programme_type'
+    )
+PG_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + (
+    'jamb_subjects_list',) + PG_OMIT_FIELDS
+PG_OMIT_PDF_FIELDS = PG_OMIT_DISPLAY_FIELDS + PG_OMIT_FIELDS + (
+      'reg_number','alr_fname', 'alr_no', 'alr_date',
+      'alr_results', 'notice')
+PG_OMIT_MANAGE_FIELDS = (
+    'special_application','jamb_subjects_list',) + PG_OMIT_FIELDS
+PG_OMIT_EDIT_FIELDS = PG_OMIT_MANAGE_FIELDS + OMIT_DISPLAY_FIELDS + PG_OMIT_FIELDS + (
+    'student_id',
+    'notice',
+    'screening_score',
+    'screening_venue',
+    'screening_date',
+    'jamb_age',
+    'jamb_subjects',
+    'jamb_score',
+    'jamb_reg_number',
+    'aggregate')
 
 class CustomApplicantDisplayFormPage(NigeriaApplicantDisplayFormPage):
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py	(revision 13544)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py	(revision 13545)
@@ -226,4 +226,92 @@
         readonly = False,
         )
+
+    hq_type2 = schema.Choice(
+        title = _(u'Qualification Obtained'),
+        required = False,
+        readonly = False,
+        vocabulary = high_qual,
+        )
+
+    hq_fname2 = schema.TextLine(
+        title = _(u'Full Name'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_matric_no2 = schema.TextLine(
+        title = _(u'Former Matric Number'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_degree2 = schema.Choice(
+        title = _(u'Class of Degree'),
+        required = False,
+        readonly = False,
+        vocabulary = high_grade,
+        )
+
+    hq_school2 = schema.TextLine(
+        title = _(u'Institution Attended'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_session2 = schema.TextLine(
+        title = _(u'Years Attended'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_disc2 = schema.TextLine(
+        title = _(u'Discipline'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_type3 = schema.Choice(
+        title = _(u'Qualification Obtained'),
+        required = False,
+        readonly = False,
+        vocabulary = high_qual,
+        )
+
+    hq_fname3 = schema.TextLine(
+        title = _(u'Full Name'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_matric_no3 = schema.TextLine(
+        title = _(u'Former Matric Number'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_degree3 = schema.Choice(
+        title = _(u'Class of Degree'),
+        required = False,
+        readonly = False,
+        vocabulary = high_grade,
+        )
+
+    hq_school3 = schema.TextLine(
+        title = _(u'Institution Attended'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_session3 = schema.TextLine(
+        title = _(u'Years Attended'),
+        required = False,
+        readonly = False,
+        )
+
+    hq_disc3 = schema.TextLine(
+        title = _(u'Discipline'),
+        required = False,
+        readonly = False,
+        )
     notice = schema.Text(
         title = _(u'Notice'),
@@ -421,5 +509,5 @@
 
 class ICustomApplicant(ICustomUGApplicant, ICustomPGApplicant,
-    ITranscriptApplicant):
+                       ITranscriptApplicant):
     """An interface for all three types of applicants.
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_applicantcopier.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_applicantcopier.py	(revision 13544)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_applicantcopier.py	(revision 13545)
@@ -61,11 +61,4 @@
         self.browser.getControl(name="form.alr_fname").value = 'Uli'
         self.browser.getControl(name="form.alr_no").value = '345'
-        self.browser.getControl(name="form.hq_type").value = ['nce']
-        self.browser.getControl(name="form.hq_fname").value = 'Beate'
-        self.browser.getControl(name="form.hq_matric_no").value = '444'
-        self.browser.getControl(name="form.hq_degree").value = ['upper_credit']
-        self.browser.getControl(name="form.hq_school").value = 'my school'
-        self.browser.getControl(name="form.hq_session").value = '2011/12'
-        self.browser.getControl(name="form.hq_disc").value = 'funny sport'
 
         self.browser.getControl("Save").click()
@@ -84,9 +77,2 @@
         self.assertEqual(student.alr_fname, 'Uli')
         self.assertEqual(student.alr_no, '345')
-        self.assertEqual(student.hq_type, 'nce')
-        self.assertEqual(student.hq_fname, 'Beate')
-        self.assertEqual(student.hq_matric_no, '444')
-        self.assertEqual(student.hq_degree, 'upper_credit')
-        self.assertEqual(student.hq_school, 'my school')
-        self.assertEqual(student.hq_session, '2011/12')
-        self.assertEqual(student.hq_disc, 'funny sport')
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_browser.py	(revision 13544)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_browser.py	(revision 13545)
@@ -97,2 +97,31 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertTrue("Dispatch Address" in self.browser.contents)
+
+    def test_pg_application_manage(self):
+        # Add pg applicants container
+        self.pgcontainer = ApplicantsContainer()
+        self.pgcontainer.mode = 'create'
+        self.pgcontainer.code = u'pgft%s' % session_1
+        self.pgcontainer.prefix = u'pgft'
+        self.pgcontainer.application_category = u'no'
+        self.pgcontainer.year = session_1
+        self.pgcontainer.application_fee = 300.0
+        self.pgcontainer.title = u'This is the pgft%s container' % session_1
+        self.app['applicants'][self.pgcontainer.code] = self.pgcontainer
+        delta = datetime.timedelta(days=10)
+        self.pgcontainer.startdate = datetime.datetime.now(pytz.utc) - delta
+        self.pgcontainer.enddate = datetime.datetime.now(pytz.utc) + delta
+        # Add applicant
+        pgapplicant = createObject(u'waeup.Applicant')
+        pgapplicant.firstname = u'Anna'
+        pgapplicant.lastname = u'Post'
+        self.app['applicants'][self.pgcontainer.code].addApplicant(pgapplicant)
+        self.pgapplication_number = pgapplicant.application_number
+        self.pgapplicant = self.app['applicants'][self.pgcontainer.code][
+            self.pgapplication_number]
+        self.pgapplicant_path = ('http://localhost/app/applicants/pgft%s/%s'
+            % (session_1, self.pgapplication_number))
+        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.browser.open(self.pgapplicant_path)
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertTrue("3rd Higher Education Record" in self.browser.contents)
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 13544)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 13545)
@@ -39,5 +39,10 @@
         'form.applicant_id': _(u'Base Data'),
         #'form.course1': _(u'Programmes/Courses Desired'),
-        'form.hq_type': _(u'Higher Education Record'),
+       'form.fst_sit_fname': _(u'1st Sitting'),
+        'form.scd_sit_fname': _(u'2nd Sitting'),
+        'form.alr_fname': _(u'Advanced Level Record'),
+        'form.hq_type': _(u'1st Higher Education Record'),
+        'form.hq_type2': _(u'2nd Higher Education Record'),
+        'form.hq_type3': _(u'3rd Higher Education Record'),
         'form.presently': _(u'Course or Programme Presently Attending'),
         'form.nysc_year': _(u'NYSC Information'),
@@ -48,7 +53,5 @@
         'form.presently_inst': _(u'Presently attending a course or programme'),
         'form.olevel_type': _(u"'O' Level Records"),
-        'form.fst_sit_fname': _(u'1st Sitting'),
-        'form.scd_sit_fname': _(u'2nd Sitting'),
-        'form.alr_fname': _(u'Advanced Level Record'),
+
         }
 