Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 13546)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 13547)
@@ -231,5 +231,5 @@
     """
 
-    grok.template('transcriptapplicanteditpage')
+    grok.template('applicanteditpage')
 
     @property
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/applicanteditpage.pt	(revision 13547)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/applicanteditpage.pt	(revision 13547)
@@ -0,0 +1,151 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      i18n:domain="waeup.kofa" enctype="multipart/form-data"
+      autocomplete="off">
+
+  <h2 i18n:domain="waeup.kofa">
+    ...
+    <span tal:replace="context/translated_state">APPLICATIONSTATE
+    </span>
+    <span tal:omit-tag=""
+      i18n:translate="" tal:condition="context/suspended">(account suspended)
+    </span>
+    ...
+  </h2>
+
+  <div class="workflow">
+    <div tal:repeat="msg context/history/messages">
+      <span tal:replace="msg">MESSAGE</span><br />
+    </div>
+  </div>
+
+  <table class="form-table">
+    <tbody>
+      <tal:widgets content="structure provider:widgets" />
+      <tr>
+        <td class="fieldname" i18n:translate="">
+          Passport Photo:
+        </td>
+        <td>
+          <img src="passport.jpg" height="180px" /><br />
+          <br />
+      		<div class="input-group half">
+      			<div class="input-group-btn">
+      				<div class="btn btn-default btn-file">
+                Select&hellip;
+                <input type="file" name="form.passport" />
+              </div>
+      			</div>
+      			<input type="text" class="form-control" readonly>
+          </div>
+          <span i18n:translate="">
+            Max. file size:
+          </span>
+          <span tal:replace="view/max_upload_size">10 KB</span>
+      </tr>
+      <tr tal:condition="view/manage_applications">
+        <td class="fieldname" i18n:translate="">Password:</td>
+        <td>
+          <input class="form-control" name="password" type="password"  />
+        </td>
+      </tr>
+      <tr tal:condition="view/manage_applications">
+        <td class="fieldname" i18n:translate="">Retype Password:</td>
+        <td>
+          <input class="form-control" name="control_password" type="password" />
+        </td>
+      </tr>
+      <tr tal:condition="view/manage_applications">
+        <td class="fieldname" i18n:translate="">Application Transition:</td>
+        <td>
+          <select id="transition" name="transition" class="form-control half">
+            <option tal:repeat="transition view/getTransitions"
+                    tal:attributes="value transition/name">
+              <span tal:replace="transition/title">TRANSITIONTITLE</span>
+            </option>
+          </select>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+
+  <div tal:condition="python: not view.manage_applications and not view.target == 'trans'">
+    <input id="confirm_passport" name="confirm_passport"
+           type="checkbox" value="True"/>&nbsp;&nbsp;
+    <span i18n:translate="">
+     I hereby confirm that the Passport Photograph uploaded on this form is a
+     true picture of me. I also acknowledge by ticking this check box that,
+     if discovered at any time that I do not possess any of the qualifications
+     which I claim I have obtained, I will be expelled from the University
+     and shall not be re-admitted for the same or any other programme,
+     even if I have upgraded my previous qualifications or possess additional
+     qualifications.
+    </span>
+  </div>
+  <div tal:condition="python: not view.manage_applications and view.target == 'trans'">
+    <input id="confirm_passport" name="confirm_passport"
+           type="checkbox" value="True"/>&nbsp;&nbsp;
+    <span i18n:translate="">
+     I hereby confirm that the Passport Photograph uploaded on this form is a
+     true picture of me. 
+    </span>
+  </div>
+  <br />
+
+  <div tal:condition="view/availableActions">
+    <span tal:repeat="action view/actions"
+          tal:omit-tag="">
+      <input tal:condition="python:action.label in view.display_actions[0]"
+             tal:replace="structure action/render"/>
+    </span>
+  </div>
+
+  <br /><br />
+  <h3 i18n:translate="">
+      Payment Tickets
+  </h3>
+
+  <table i18n:domain="waeup.kofa" class="table table-condensed">
+    <thead>
+    <tr>
+      <th>&nbsp;</th>
+      <th i18n:translate="">Payment Id</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Payment Date</th>
+      <th i18n:translate="">Category</th>
+      <th i18n:translate="">Item</th>
+      <th i18n:translate="">State</th>
+    </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="cl context/values">
+         <td>
+          <input type="checkbox"
+    		 name="val_id"
+    		 tal:attributes="value cl/__name__"
+         tal:condition="python: not view.unremovable(cl)" />
+        </td>
+        <td> <a tal:attributes="href python:view.url(cl)">
+        <span tal:content="cl/p_id">PID</span></a></td>
+        <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
+        <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
+      <td tal:content ="cl/category">CATEGORY</td>
+      <td tal:content ="cl/display_item">ITEM</td>
+      <td tal:content ="cl/p_state_title">STATE</td>
+      </tr>
+    </tbody>
+  </table>
+
+  <div tal:condition="view/availableActions">
+    <span tal:repeat="action view/actions"
+          tal:omit-tag="">
+      <input tal:condition="python:action.label in view.display_actions[1]"
+             tal:replace="structure action/render"/>
+    </span>
+  </div>
+  <br />
+  <p i18n:translate="" tal:condition="context/special">
+    <strong>Notice:</strong> If you need to pay for another service,
+    select the corresponding special application category above,
+    click 'Save' and then 'Add online payment ticket' again.
+  </p>
+</form>
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/transcriptapplicanteditpage.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/transcriptapplicanteditpage.pt	(revision 13546)
+++ 	(revision )
@@ -1,130 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      i18n:domain="waeup.kofa" enctype="multipart/form-data"
-      autocomplete="off">
-
-  <h2 i18n:domain="waeup.kofa">
-    ...
-    <span tal:replace="context/translated_state">APPLICATIONSTATE
-    </span>
-    <span tal:omit-tag=""
-      i18n:translate="" tal:condition="context/suspended">(account suspended)
-    </span>
-    ...
-  </h2>
-
-  <div class="workflow">
-    <div tal:repeat="msg context/history/messages">
-      <span tal:replace="msg">MESSAGE</span><br />
-    </div>
-  </div>
-
-  <table class="form-table">
-    <tbody>
-      <tal:widgets content="structure provider:widgets" />
-      <tr>
-        <td class="fieldname" i18n:translate="">
-          Passport Photo:
-        </td>
-        <td>
-          <img src="passport.jpg" height="180px" /><br />
-          <br />
-      		<div class="input-group half">
-      			<div class="input-group-btn">
-      				<div class="btn btn-default btn-file">
-                Select&hellip;
-                <input type="file" name="form.passport" />
-              </div>
-      			</div>
-      			<input type="text" class="form-control" readonly>
-          </div>
-          <span i18n:translate="">
-            Max. file size:
-          </span>
-          <span tal:replace="view/max_upload_size">10 KB</span>
-      </tr>
-      <tr tal:condition="view/manage_applications">
-        <td class="fieldname" i18n:translate="">Password:</td>
-        <td>
-          <input class="form-control" name="password" type="password"  />
-        </td>
-      </tr>
-      <tr tal:condition="view/manage_applications">
-        <td class="fieldname" i18n:translate="">Retype Password:</td>
-        <td>
-          <input class="form-control" name="control_password" type="password" />
-        </td>
-      </tr>
-      <tr tal:condition="view/manage_applications">
-        <td class="fieldname" i18n:translate="">Application Transition:</td>
-        <td>
-          <select id="transition" name="transition" class="form-control half">
-            <option tal:repeat="transition view/getTransitions"
-                    tal:attributes="value transition/name">
-              <span tal:replace="transition/title">TRANSITIONTITLE</span>
-            </option>
-          </select>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-
-  <br />
-
-  <div tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.display_actions[0]"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-
-  <br /><br />
-  <h3 i18n:translate="">
-      Payment Tickets
-  </h3>
-
-  <table i18n:domain="waeup.kofa" class="table table-condensed">
-    <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th i18n:translate="">Payment Id</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Payment Date</th>
-      <th i18n:translate="">Category</th>
-      <th i18n:translate="">Item</th>
-      <th i18n:translate="">State</th>
-    </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__"
-         tal:condition="python: not view.unremovable(cl)" />
-        </td>
-        <td> <a tal:attributes="href python:view.url(cl)">
-        <span tal:content="cl/p_id">PID</span></a></td>
-        <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
-        <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
-      <td tal:content ="cl/category">CATEGORY</td>
-      <td tal:content ="cl/display_item">ITEM</td>
-      <td tal:content ="cl/p_state_title">STATE</td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.display_actions[1]"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-  <br />
-  <p i18n:translate="" tal:condition="context/special">
-    <strong>Notice:</strong> If you need to pay for another service,
-    select the corresponding special application category above,
-    click 'Save' and then 'Add online payment ticket' again.
-  </p>
-</form>
Index: main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 13546)
+++ main/waeup.aaue/trunk/src/waeup/aaue/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 13547)
@@ -44,16 +44,4 @@
 msgid "Credits"
 msgstr "Units"
-
-#: waeup/kofa/applicants/browser_templates/applicanteditpage.pt:66
-msgid ""
-"I confirm that the Passport Photograph uploaded on this form is a true "
-"picture of me."
-msgstr ""
-"I hereby confirm that the Passport Photograph uploaded on this form is a "
-"true picture of me. I also acknowledge by ticking this check box that, if "
-"discovered at any time that I do not possess any of the qualifications which "
-"I claim I have obtained, I will be expelled from the University and shall "
-"not be re-admitted for the same or any other programme, even if I have "
-"upgraded my previous qualifications or possess additional qualifications."
 
 #: waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt:69