Index: /main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 13551)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 13552)
@@ -22,7 +22,8 @@
 from zope.component import getUtility, createObject
 from zope.security import checkPermission
+from zope.i18n import translate
 from hurry.workflow.interfaces import IWorkflowState
 from waeup.kofa.browser.layout import action, UtilityView
-from waeup.kofa.interfaces import IExtFileStore
+from waeup.kofa.interfaces import IExtFileStore, IKofaUtils
 from waeup.kofa.applicants.browser import (
     ApplicantRegistrationPage, ApplicantsContainerPage,
@@ -36,4 +37,5 @@
     NigeriaApplicantManageFormPage,
     NigeriaPDFApplicationSlip)
+from waeup.kofa.applicants.pdf import PDFApplicationSlip
 from waeup.uniben.applicants.interfaces import (
     ICustomApplicant)
@@ -231,5 +233,4 @@
     """ Approval view
     """
-
 
     def update(self):
@@ -263,5 +264,4 @@
     """
 
-
     def update(self):
         super(CustomExportPDFPageApplicationSlip, self).update()
@@ -273,2 +273,21 @@
             return self.redirect(self.url(self.context))
         return
+
+class CustomPDFApplicationSlip(PDFApplicationSlip):
+
+    @property
+    def title(self):
+        container_title = self.context.__parent__.title
+        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
+        ar_translation = translate(_('Application Record'),
+            'waeup.kofa', target_language=portal_language)
+        if 'affilasa' in self.target:
+            return 'Federal College of Education (Technical) Asaba - %s %s %s' % (
+                container_title, ar_translation,
+                self.context.application_number)
+        if 'affilako' in self.target:
+            return 'Federal College of Education (Technical) Akoka - %s %s %s' % (
+                container_title, ar_translation,
+                self.context.application_number)
+        return '%s - %s %s' % (container_title,
+            ar_translation, self.context.application_number)
Index: /main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py	(revision 13551)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py	(revision 13552)
@@ -19,8 +19,11 @@
 Test the applicant-related UI components.
 """
+import os
 from StringIO import StringIO
 from datetime import datetime
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from zope.securitypolicy.interfaces import IPrincipalRoleManager
+from waeup.kofa.browser.tests.test_pdf import samples_dir
+from waeup.kofa.applicants.container import ApplicantsContainer
 from waeup.uniben.testing import FunctionalLayer
 from waeup.uniben.configuration import CustomSessionConfiguration
@@ -160,2 +163,24 @@
                          'application/pdf')
         return
+
+    def test_asaba_application_slip(self):
+
+        # Remove required FieldProperty attribute first ...
+        delattr(ApplicantsContainer, 'prefix')
+        # ... and replace by asaba
+        self.applicantscontainer.prefix = 'affilasa'
+        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.slip_path = self.view_path + '/application_slip.pdf'
+        self.browser.open(self.manage_path)
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.fill_correct_values()
+        self.browser.getControl("Save").click()
+        IWorkflowState(self.applicant).setState('submitted')
+        self.browser.open(self.manage_path)
+        self.browser.getLink("Download application slip").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'],
+                         'application/pdf')
+        path = os.path.join(samples_dir(), 'application_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample application_slip.pdf written to %s" % path
Index: /main/waeup.uniben/trunk/src/waeup/uniben/applicants/utils.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/applicants/utils.py	(revision 13551)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/applicants/utils.py	(revision 13552)
@@ -48,6 +48,6 @@
         'pre': ['Pre-Degree Studies', 'PRE'],
         'cbt': ['UNIBEN CBT Practice Test', 'CBT'],
-        'asaba': ['Asaba Programmes', 'ASA'],
-        'akoka': ['Akoka Programmes', 'AKO'],
+        'affilasa': ['Asaba Programmes', 'ASA'],
+        'affilako': ['Akoka Programmes', 'AKO'],
         }
 