Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 13553)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 13554)
@@ -39,4 +39,10 @@
 from kofacustom.nigeria.interfaces import MessageFactory as _
 from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
+
+programme_types_vocab = SimpleKofaVocabulary(
+    (_('Post UTME'), 'putme'),
+    (_('Post DE'), 'pude'),
+    (_('not applicable'), 'na'),
+    )
 
 jambsubjects = SimpleKofaVocabulary(
@@ -93,7 +99,11 @@
 
 # UG students are all undergraduate students.
-UG_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + ('jamb_subjects_list',)
+UG_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + (
+    'jamb_subjects_list', 'programme_type')
 UG_OMIT_PDF_FIELDS = UG_OMIT_DISPLAY_FIELDS + ('phone',)
-UG_OMIT_MANAGE_FIELDS = ('special_application','jamb_subjects_list',)
+UG_OMIT_MANAGE_FIELDS = (
+    'special_application',
+    'jamb_subjects_list',
+    'programme_type')
 UG_OMIT_EDIT_FIELDS = UG_OMIT_MANAGE_FIELDS + OMIT_DISPLAY_FIELDS + (
     'student_id',
@@ -113,5 +123,6 @@
     'hq_degree', 'hq_school',
     'hq_session', 'hq_disc',
-    'aggregate', 'jamb_subjects')
+    'aggregate', 'jamb_subjects',
+    'programme_type')
 CBT_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + CBT_OMIT_FIELDS
 CBT_OMIT_MANAGE_FIELDS = CBT_OMIT_FIELDS + ('special_application',)
@@ -152,5 +163,6 @@
     'hq_type', 'hq_matric_no',
     'hq_degree', 'hq_school',
-    'hq_session', 'hq_disc', 'jamb_subjects_list')
+    'hq_session', 'hq_disc',
+    'jamb_subjects_list', 'programme_type')
 PUTME_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + PUTME_OMIT_FIELDS
 PUTME_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + PUTME_OMIT_FIELDS
@@ -168,5 +180,10 @@
 # PUDE is a subgroup of UG with the same interface.
 PUDE_OMIT_FIELDS = (
-    'jamb_subjects','jamb_score', 'jamb_age', 'aggregate', 'jamb_subjects_list')
+    'jamb_subjects',
+    'jamb_score',
+    'jamb_age',
+    'aggregate',
+    'jamb_subjects_list',
+    'programme_type')
 PUDE_OMIT_DISPLAY_FIELDS = OMIT_DISPLAY_FIELDS + PUDE_OMIT_FIELDS
 PUDE_OMIT_MANAGE_FIELDS = UG_OMIT_MANAGE_FIELDS + PUDE_OMIT_FIELDS
@@ -199,4 +216,10 @@
     """
 
+    programme_type = schema.Choice(
+        title = _(u'Programme Type'),
+        vocabulary = programme_types_vocab,
+        required = False,
+        )
+
     nationality = schema.Choice(
         source = nats_vocab,
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 13553)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 13554)
@@ -443,5 +443,5 @@
             'lastname,lga,locked,middlename,'
             'nationality,notice,nysc_lga,nysc_year,password,phone,'
-            'presently_inst,reg_number,result_uploaded,scd_sit_date,'
+            'presently_inst,programme_type,reg_number,result_uploaded,scd_sit_date,'
             'scd_sit_fname,scd_sit_no,scd_sit_results,scd_sit_type,'
             'screening_date,screening_score,screening_venue,sex,special,'
@@ -453,5 +453,5 @@
             ',,,,,,,,,,Line 1++Line 2,"[\'english_language\', \'fine_art\']",'
             'Tester,,0,M.,NG,"Some notice\nin lines.",,,'
-            'any password,+234-123-12345#,,123456,,,,,,,'
+            'any password,+234-123-12345#,,,123456,,,,,,,'
             '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,,'
             'initialized,,0,initialized\r\n')
@@ -473,5 +473,5 @@
             'lastname','lga','locked','middlename',
             'nationality','notice','nysc_lga','nysc_year','password','phone',
-            'presently_inst','reg_number','result_uploaded','scd_sit_date',
+            'presently_inst','programme_type','reg_number','result_uploaded','scd_sit_date',
             'scd_sit_fname','scd_sit_no','scd_sit_results','scd_sit_type',
             'screening_date','screening_score','screening_venue','sex','special',
@@ -502,5 +502,5 @@
             'lastname','lga','locked','middlename',
             'nationality','notice','nysc_lga','nysc_year','password','phone',
-            'presently_inst','reg_number','result_uploaded','scd_sit_date',
+            'presently_inst','programme_type','reg_number','result_uploaded','scd_sit_date',
             'scd_sit_fname','scd_sit_no','scd_sit_results','scd_sit_type',
             'screening_date','screening_score','screening_venue','sex','special',