Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 13585)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 13586)
@@ -25,4 +25,6 @@
     InterswitchPaymentRequestWebservicePageStudent,
     InterswitchPaymentRequestWebservicePageApplicant,
+    InterswitchPaymentVerifyWebservicePageApplicant,
+    InterswitchPaymentVerifyWebservicePageStudent,
     InterswitchPageStudent, InterswitchPageApplicant,
     )
@@ -43,5 +45,7 @@
 
 HOST = 'webpay.interswitchng.com'
+URL = '/paydirect/api/v1/gettransaction.json'
 HTTPS = True
+MAC = '9718FA00B0F5070B388A9896ADCED9B2FB02D30F71E12E68BDADC63F6852A3496FF97D8A0F9DA9F753B911A49BB09BB87B55FD02046BD325C74C46C0123CF023'
 
 httplib.HTTPSConnection.debuglevel = 0
@@ -73,6 +77,5 @@
     site_name = SITE_NAME
     currency = CURRENCY
-    #mac = '74424F1DFECD6058F153148255CDD55E16724B4F380ADB2C63C5D1D7A5675759010C8153DCB930AAF2D38903CBF7CE32B8A6BA2C16BBC46721DF2E3F3E4548E3'
-    mac = '9718FA00B0F5070B388A9896ADCED9B2FB02D30F71E12E68BDADC63F6852A3496FF97D8A0F9DA9F753B911A49BB09BB87B55FD02046BD325C74C46C0123CF023'
+    mac = MAC
 
     def update(self):
@@ -133,6 +136,5 @@
     currency = CURRENCY
     #pay_item_id = '101'
-    #mac = '74424F1DFECD6058F153148255CDD55E16724B4F380ADB2C63C5D1D7A5675759010C8153DCB930AAF2D38903CBF7CE32B8A6BA2C16BBC46721DF2E3F3E4548E3'
-    mac = '9718FA00B0F5070B388A9896ADCED9B2FB02D30F71E12E68BDADC63F6852A3496FF97D8A0F9DA9F753B911A49BB09BB87B55FD02046BD325C74C46C0123CF023'
+    mac = MAC
 
     def update(self):
@@ -412,14 +414,11 @@
 class CustomInterswitchPaymentRequestWebservicePageApplicant(
     InterswitchPaymentRequestWebservicePageApplicant):
-    """ Request webservice view for the CollegePAY gateway
-
-    So far only PT application has been configured.
+    """Request webservice view for the CollegePAY gateway
     """
     grok.context(ICustomApplicantOnlinePayment)
     gateway_host = HOST
-    gateway_url = '/paydirect/api/v1/gettransaction.json'
+    gateway_url = URL
     https = HTTPS
-    #mac = '74424F1DFECD6058F153148255CDD55E16724B4F380ADB2C63C5D1D7A5675759010C8153DCB930AAF2D38903CBF7CE32B8A6BA2C16BBC46721DF2E3F3E4548E3'
-    mac = '9718FA00B0F5070B388A9896ADCED9B2FB02D30F71E12E68BDADC63F6852A3496FF97D8A0F9DA9F753B911A49BB09BB87B55FD02046BD325C74C46C0123CF023'
+    mac = MAC
 
     @property
@@ -429,13 +428,29 @@
         return PRODUCT_ID_REGULAR
 
+class CustomInterswitchPaymentVerifyWebservicePageApplicant(
+    InterswitchPaymentVerifyWebservicePageApplicant):
+    """Payment verify view for the CollegePAY gateway
+    """
+    grok.context(ICustomApplicantOnlinePayment)
+    gateway_host = HOST
+    gateway_url = URL
+    https = HTTPS
+    mac = MAC
+
+    @property
+    def product_id(self):
+        if contr_agreement_applicant(self.context.__parent__) == 'first':
+            return PRODUCT_ID_PT
+        return PRODUCT_ID_REGULAR
+
 class CustomInterswitchPaymentRequestWebservicePageStudent(
     InterswitchPaymentRequestWebservicePageStudent):
-    """ Request webservice view for the CollegePAY gateway
+    """Request webservice view for the CollegePAY gateway
     """
     grok.context(ICustomStudentOnlinePayment)
     gateway_host = HOST
-    gateway_url = '/paydirect/api/v1/gettransaction.json'
+    gateway_url = URL
     https = HTTPS
-    mac = '9718FA00B0F5070B388A9896ADCED9B2FB02D30F71E12E68BDADC63F6852A3496FF97D8A0F9DA9F753B911A49BB09BB87B55FD02046BD325C74C46C0123CF023'
+    mac = MAC
 
     @property
@@ -444,2 +459,18 @@
             return PRODUCT_ID_PT
         return PRODUCT_ID_REGULAR
+
+class CustomInterswitchPaymentVerifyWebservicePageStudent(
+    InterswitchPaymentVerifyWebservicePageStudent):
+    """Payment verify view for the CollegePAY gateway
+    """
+    grok.context(ICustomStudentOnlinePayment)
+    gateway_host = HOST
+    gateway_url = URL
+    https = HTTPS
+    mac = MAC
+
+    @property
+    def product_id(self):
+        if contr_agreement_student(self.context.student) == 'first':
+            return PRODUCT_ID_PT
+        return PRODUCT_ID_REGULAR