Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 13355)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 13587)
@@ -78,22 +78,25 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
-        self.assertMatches(result,
             'aggregate,applicant_id,application_date,application_number,'
             'container_code,course1,course2,course_admitted,date_of_birth,'
             'display_fullname,email,emp2_end,emp2_position,emp2_reason,'
             'emp2_start,emp_end,emp_position,emp_reason,emp_start,employer,'
-            'employer2,firstname,history,hq_degree,hq_disc,hq_matric_no,'
-            'hq_school,hq_session,hq_type,jamb_age,jamb_score,jamb_subjects,'
+            'employer2,firstname,fst_sit_date,fst_sit_fname,fst_sit_no,'
+            'fst_sit_results,fst_sit_type,history,hq_degree,hq_disc,'
+            'hq_fname,hq_matric_no,hq_school,hq_session,hq_type,'
+            'jamb_reg_number,jamb_score,jamb_subjects,jamb_subjects_list,'
             'lastname,lga,locked,middlename,nationality,notice,nysc_lga,'
-            'nysc_year,password,phone,pp_school,presently_inst,reg_number,'
-            'result_uploaded,screening_date,screening_score,screening_venue,'
-            'sex,special,special_application,state,student_id,suspended,'
-            'translated_state\r\n'
-            ',dp2011_654321,,654321,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
-            'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
-            '[u\'2015-06-23 07:31:05 WAT - Application initialized by system\']'
-            ',,,,,,,,,,Tester,,0,M.,NG,"Some notice in lines.",,,any password,'
-            '+234-123-12345#,,,123456,,"Saturday, 16th June 2012 2:00:00 PM",'
-            '98,Exam Room,f,,,initialized,,0,initialized\r\n')
+            'nysc_year,password,phone,presently_inst,programme_type,'
+            'reg_number,result_uploaded,scd_sit_date,scd_sit_fname,'
+            'scd_sit_no,scd_sit_results,scd_sit_type,screening_date,'
+            'screening_score,screening_venue,sex,special,special_application,'
+            'state,student_id,suspended,translated_state\r\n,'
+            'dp2011_654321,,654321,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
+            'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,,,,,,'
+            '[u\'2016-01-11 10:05:17 WAT - Application initialized by system\']'
+            ',,,,,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
+            'any password,+234-123-12345#,,,123456,,,,,,,'
+            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,,'
+            'initialized,,0,initialized\r\n')
         # We can import the same file if we ignore some columns.
         # Since the applicants_catalog hasn't been notified, the same
@@ -103,14 +106,20 @@
             self.outfile,
             ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
-            'container_code','course1','course2','course_admitted','date_of_birth',
-            'ignore_display_fullname','email','emp2_end','emp2_position','emp2_reason',
-            'emp2_start','emp_end','emp_position','emp_reason','emp_start','employer',
-            'employer2','firstname','ignore_history','hq_degree','hq_disc','hq_matric_no',
-            'hq_school','hq_session','hq_type','jamb_age','jamb_score','jamb_subjects',
-            'lastname','lga','locked','middlename','nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst','reg_number',
-            'result_uploaded','screening_date','screening_score','screening_venue',
-            'sex','ignore_special','special_application','state','student_id','suspended',
-            'translated_state'],
+             'container_code','course1','course2','course_admitted',
+             'date_of_birth','ignore_display_fullname','email','emp2_end',
+             'emp2_position','emp2_reason','emp2_start','emp_end',
+             'emp_position','emp_reason','emp_start','employer',
+             'employer2','firstname','fst_sit_date','fst_sit_fname',
+             'fst_sit_no','fst_sit_results','fst_sit_type','ignore_history',
+             'hq_degree','hq_disc','hq_fname','hq_matric_no','hq_school',
+             'hq_session','hq_type','jamb_reg_number','jamb_score',
+             'jamb_subjects','jamb_subjects_list','lastname','lga',
+             'locked','middlename','nationality','notice','nysc_lga',
+             'nysc_year','password','phone','presently_inst','programme_type',
+             'reg_number','result_uploaded','scd_sit_date','scd_sit_fname',
+             'scd_sit_no','scd_sit_results','scd_sit_type','screening_date',
+             'screening_score','screening_venue','sex','ignore_special',
+             'special_application','state','student_id','suspended',
+             'translated_state'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -126,15 +135,21 @@
         result = processor.doImport(
             self.outfile,
-            ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
-            'ignore_container_code','course1','course2','course_admitted','date_of_birth',
-            'ignore_display_fullname','email','emp2_end','emp2_position','emp2_reason',
-            'emp2_start','emp_end','emp_position','emp_reason','emp_start','employer',
-            'employer2','firstname','ignore_history','hq_degree','hq_disc','hq_matric_no',
-            'hq_school','hq_session','hq_type','jamb_age','jamb_score','jamb_subjects',
-            'lastname','lga','locked','middlename','nationality','notice','nysc_lga',
-            'nysc_year','password','phone','pp_school','presently_inst','reg_number',
-            'result_uploaded','screening_date','screening_score','screening_venue',
-            'sex','ignore_special','special_application','state','student_id','suspended',
-            'translated_state'],
+           ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
+             'ignore_container_code','course1','course2','course_admitted',
+             'date_of_birth','ignore_display_fullname','email','emp2_end',
+             'emp2_position','emp2_reason','emp2_start','emp_end',
+             'emp_position','emp_reason','emp_start','employer',
+             'employer2','firstname','fst_sit_date','fst_sit_fname',
+             'fst_sit_no','fst_sit_results','fst_sit_type','ignore_history',
+             'hq_degree','hq_disc','hq_fname','hq_matric_no','hq_school',
+             'hq_session','hq_type','jamb_reg_number','jamb_score',
+             'jamb_subjects','jamb_subjects_list','lastname','lga',
+             'locked','middlename','nationality','notice','nysc_lga',
+             'nysc_year','password','phone','presently_inst','programme_type',
+             'reg_number','result_uploaded','scd_sit_date','scd_sit_fname',
+             'scd_sit_no','scd_sit_results','scd_sit_type','screening_date',
+             'screening_score','screening_venue','sex','ignore_special',
+             'special_application','state','student_id','suspended',
+             'translated_state'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result
Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 13355)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 13587)
@@ -22,4 +22,6 @@
     InterswitchPaymentRequestWebservicePageApplicant,
     InterswitchPaymentRequestWebservicePageStudent,
+    InterswitchPaymentVerifyWebservicePageApplicant,
+    InterswitchPaymentVerifyWebservicePageStudent,
     InterswitchPageStudent, InterswitchPageApplicant,
     )
@@ -164,5 +166,5 @@
 class CustomInterswitchPaymentRequestWebservicePageStudent(
     InterswitchPaymentRequestWebservicePageStudent):
-    """ Request webservice view for the CollegePAY gateway
+    """Request webservice view for the CollegePAY gateway
     """
     grok.context(ICustomStudentOnlinePayment)
@@ -170,9 +172,17 @@
     gateway_host = HOST
     gateway_url = URL
-    https = HTTPS
+
+class CustomInterswitchPaymentVerifyWebservicePageStudent(
+    InterswitchPaymentVerifyWebservicePageStudent):
+    """Payment verify view for the CollegePAY gateway
+    """
+    grok.context(ICustomStudentOnlinePayment)
+    product_id = PRODUCT_ID
+    gateway_host = HOST
+    gateway_url = URL
 
 class CustomInterswitchPaymentRequestWebservicePageApplicant(
     InterswitchPaymentRequestWebservicePageApplicant):
-    """ Request webservice view for the CollegePAY gateway
+    """Request webservice view for the CollegePAY gateway
     """
     grok.context(ICustomApplicantOnlinePayment)
@@ -180,3 +190,11 @@
     gateway_host = HOST
     gateway_url = URL
-    https = HTTPS
+
+class CustomInterswitchPaymentVerifyWebservicePageApplicant(
+    InterswitchPaymentVerifyWebservicePageApplicant):
+    """Payment verify view for the CollegePAY gateway
+    """
+    grok.context(ICustomApplicantOnlinePayment)
+    product_id = PRODUCT_ID
+    gateway_host = HOST
+    gateway_url = URL