Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 13592)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/applicants/tests/test_browser.py	(revision 13593)
@@ -82,25 +82,24 @@
             'course_admitted,date_of_birth,display_fullname,email,emp2_end,'
             'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
-            'emp_reason,emp_start,employer,employer2,firstname,'
-            'fst_sit_date,fst_sit_fname,fst_sit_no,fst_sit_results,fst_sit_type,'
-            'history,hq_degree,hq_disc,hq_matric_no,hq_school,hq_session,'
-            'hq_type,jamb_reg_number,jamb_score,jamb_subjects,lastname,lga,'
-            'locked,marit_stat,middlename,nationality,next_kin_address,'
+            'emp_reason,emp_start,employer,employer2,firstname,fst_sit_date,'
+            'fst_sit_fname,fst_sit_no,fst_sit_results,fst_sit_type,history,'
+            'hq_degree,hq_disc,hq_fname,hq_matric_no,hq_school,hq_session,'
+            'hq_type,jamb_reg_number,jamb_score,jamb_subjects,lastname,'
+            'lga,locked,marit_stat,middlename,nationality,next_kin_address,'
             'notice,nysc_lga,nysc_year,olevel_exam_date,olevel_exam_date2,'
             'olevel_exam_number,olevel_exam_number2,olevel_results,'
             'olevel_results2,olevel_school,olevel_school2,olevel_type,'
-            'olevel_type2,password,phone,presently_inst,'
-            'reg_number,religion,result_uploaded,'
-            'scd_sit_date,scd_sit_fname,scd_sit_no,scd_sit_results,scd_sit_type,'
-            'screening_date,screening_score,screening_venue,sex,special,'
-            'special_application,state,student_id,suspended,translated_state\r\n'
-
-            ',dp2011_654321,,654321,,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
-            'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,,,,,,'
-            '[u\'2015-08-26 15:57:48 WAT - Application initialized by system\']'
-            ',,,,,,,,,,Tester,,0,,M.,NG,,"Some notice\nin lines.",,,,,,,,,,,,,'
+            'olevel_type2,password,phone,presently_inst,reg_number,religion,'
+            'result_uploaded,scd_sit_date,scd_sit_fname,scd_sit_no,'
+            'scd_sit_results,scd_sit_type,screening_date,screening_score,'
+            'screening_venue,sex,special,special_application,state,'
+            'student_id,suspended,translated_state\r\n,'
+            'dp2011_654321,,654321,,dp2011,CERT1,CERT1,CERT1,'
+            '1981-02-04#,Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,,,,,,'
+            '[u\'2016-01-11 10:28:58 WAT - Application initialized by system\']'
+            ',,,,,,,,,,,Tester,,0,,M.,NG,,"Some notice\nin lines.",,,,,,,,,,,,,'
             'any password,+234-123-12345#,,123456,,,,,,,,'
-            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,,'
-            'initialized,,0,initialized\r\n')
+            '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,'
+            'f,,,initialized,,0,initialized\r\n')
         # We can import the same file if we ignore some columns.
         # Since the applicants_catalog hasn't been notified, the same
@@ -111,20 +110,21 @@
             ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
             'body_responsible_address','container_code','course1','course2',
-            'course_admitted','date_of_birth','ignore_display_fullname','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname',
-            'fst_sit_date','fst_sit_fname','fst_sit_no','fst_sit_results','fst_sit_type',
-            'ignore_history','hq_degree','hq_disc','hq_matric_no','hq_school','hq_session',
-            'hq_type','jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
+            'course_admitted','date_of_birth','ignore_display_fullname','email',
+            'emp2_end','emp2_position','emp2_reason','emp2_start','emp_end',
+            'emp_position','emp_reason','emp_start','employer','employer2',
+            'firstname','fst_sit_date','fst_sit_fname','fst_sit_no',
+            'fst_sit_results','fst_sit_type','ignore_history','hq_degree','hq_disc',
+            'hq_fname','hq_matric_no','hq_school','hq_session','hq_type',
+            'jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
             'locked','marit_stat','middlename','nationality','next_kin_address',
-            'notice','nysc_lga','nysc_year','olevel_exam_date','olevel_exam_date2',
-            'olevel_exam_number','olevel_exam_number2','olevel_results',
-            'olevel_results2','olevel_school','olevel_school2','olevel_type',
-            'olevel_type2','password','phone','presently_inst',
-            'reg_number','religion','result_uploaded',
-            'scd_sit_date','scd_sit_fname','scd_sit_no','scd_sit_results','scd_sit_type',
-            'screening_date',
-            'screening_score','screening_venue','sex','ignore_special','special_application',
-            'state','student_id','suspended','ignore_translated_state'],
+            'notice','nysc_lga','nysc_year','olevel_exam_date',
+            'olevel_exam_date2','olevel_exam_number','olevel_exam_number2',
+            'olevel_results','olevel_results2','olevel_school','olevel_school2',
+            'olevel_type','olevel_type2','password','phone','presently_inst',
+            'reg_number','religion','result_uploaded','scd_sit_date',
+            'scd_sit_fname','scd_sit_no','scd_sit_results','scd_sit_type',
+            'screening_date','screening_score','screening_venue','sex',
+            'ignore_special','special_application','state','student_id',
+            'suspended','ignore_translated_state'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -141,20 +141,21 @@
             ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
             'body_responsible_address','ignore_container_code','course1','course2',
-            'course_admitted','date_of_birth','ignore_display_fullname','email','emp2_end',
-            'emp2_position','emp2_reason','emp2_start','emp_end','emp_position',
-            'emp_reason','emp_start','employer','employer2','firstname',
-            'fst_sit_date','fst_sit_fname','fst_sit_no','fst_sit_results','fst_sit_type',
-            'ignore_history','hq_degree','hq_disc','hq_matric_no','hq_school','hq_session',
-            'hq_type','jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
+            'course_admitted','date_of_birth','ignore_display_fullname','email',
+            'emp2_end','emp2_position','emp2_reason','emp2_start','emp_end',
+            'emp_position','emp_reason','emp_start','employer','employer2',
+            'firstname','fst_sit_date','fst_sit_fname','fst_sit_no',
+            'fst_sit_results','fst_sit_type','ignore_history','hq_degree','hq_disc',
+            'hq_fname','hq_matric_no','hq_school','hq_session','hq_type',
+            'jamb_reg_number','jamb_score','jamb_subjects','lastname','lga',
             'locked','marit_stat','middlename','nationality','next_kin_address',
-            'notice','nysc_lga','nysc_year','olevel_exam_date','olevel_exam_date2',
-            'olevel_exam_number','olevel_exam_number2','olevel_results',
-            'olevel_results2','olevel_school','olevel_school2','olevel_type',
-            'olevel_type2','password','phone','presently_inst',
-            'reg_number','religion','result_uploaded',
-            'scd_sit_date','scd_sit_fname','scd_sit_no','scd_sit_results','scd_sit_type',
-            'screening_date',
-            'screening_score','screening_venue','sex','ignore_special','special_application',
-            'state','student_id','suspended','ignore_translated_state'],
+            'notice','nysc_lga','nysc_year','olevel_exam_date',
+            'olevel_exam_date2','olevel_exam_number','olevel_exam_number2',
+            'olevel_results','olevel_results2','olevel_school','olevel_school2',
+            'olevel_type','olevel_type2','password','phone','presently_inst',
+            'reg_number','religion','result_uploaded','scd_sit_date',
+            'scd_sit_fname','scd_sit_no','scd_sit_results','scd_sit_type',
+            'screening_date','screening_score','screening_venue','sex',
+            'ignore_special','special_application','state','student_id',
+            'suspended','ignore_translated_state'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result
Index: main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/tests.py
===================================================================
--- main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/tests.py	(revision 13592)
+++ main/kofacustom.wdu/trunk/src/kofacustom/wdu/interswitch/tests.py	(revision 13593)
@@ -217,7 +217,10 @@
         self.applicantscontainer.application_fee = 1000.0
         self.browser.getControl(name="form.nationality").value = ['NG']
+        self.browser.getControl(name="form.lga").value = ['abia_aba_north']
+        self.browser.getControl(name="form.marit_stat").value = ['single']
         self.browser.getControl(name="transition").value = ['start']
         self.browser.getControl("Save").click()
         self.browser.getControl("Add online").click()
+
         self.assertMatches('...ticket created...',
                            self.browser.contents)