Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/degrees.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/degrees.py	(revision 13618)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/degrees.py	(revision 13618)
@@ -0,0 +1,273 @@
+DEGREES_DICT = {
+    'AGRB': 'Bachelor of Agriculture',
+    'BA': 'Bachelor of Arts',
+    'BA(ADMIN)': 'Bachelor of Arts in Administration',
+    'BACC': 'Bachelor of Accounting',
+    'BACOM': 'Bachelor of Arts in Commerce',
+    'BADMIN': 'Bachelor of Administration',
+    'BAE': 'Bachelor of Arts and Economics',
+    'BAECON': 'Bachelor of Arts in Economics',
+    'BA(ED)': 'Bachelor of Arts in Education',
+    'BA(FS)': 'Bachelor of Arts in Financial Studies',
+    'BAGR': 'Bachelor of Agriculture',
+    'BAH': 'Bachelor of Animal Health',
+    'BAI': 'Bachelor of Engineering (Arte Ingeniaria)',
+    'BAI(ELECT)': 'Bachelor of Electrical Engineering',
+    'BAI(MECH)': 'Bachelor of Mechanical Engineering',
+    'BALAW': 'Bachelor of Arts on Law',
+    'BAO': 'Bachelor of Obstetrics (Arte Obstetricia)',
+    'BAPPSC': 'Bachelor of Applied Science',
+    'BARCH': 'Bachelor of Architecture',
+    'BARCHSC': 'Bachelor of Architectural Science',
+    'BARELST': 'Bachelor of Arts on Religious Studies',
+    'BASC': 'Bachelor of Arts and Science',
+    'BASOC': 'Bachelor of Arts in Sociology',
+    'BASS': 'Bachelor of Arts in the Social Sciences',
+    'BATHEOL': 'Bachelor of Arts on Theology',
+    'BBA': 'Bachelor of Business Administration',
+    'BBLS': 'Bachelor of Business and Legal Studies',
+    'BBS': 'Bachelor of Business Studies',
+    'BBUS': 'Bachelor of Business',
+    'BCHEM': 'Bachelor of Chemistry',
+    'BCJ': 'Bachelor of Criminal Justice',
+    'BCL': 'Bachelor of Civil Law',
+    'BCLD(SOCSC)': 'Bachelor of Community Learning and Development in Social Sciences',
+    'BCLINSCI': 'Bachelor of Clinical Science',
+    'BCOM': 'Bachelor of Commerce',
+    'BCOMBST': 'Bachelor of Combined Studies',
+    'BCOMMEDCOMMDEV': 'Bachelor of Community Education and Community Development',
+    'BCOMP': 'Bachelor of Computing',
+    'BCOMSC': 'Bachelor of Commercial Science',
+    'BCOUN': 'Bachelor of Counseling',
+    'BD': 'Bachelor of Divinity',
+    'BDES': 'Bachelor of Design',
+    'BE': 'Bachelor of Engineering',
+    'BECON': 'Bachelor of Economics',
+    'BECON&FIN': 'Bachelor of Economics and Finance',
+    'BECONSCI': 'Bachelor of Science in Economics',
+    'BED': 'Bachelor of Education',
+    'BENG': 'Bachelor of Engineering',
+    'BES': 'Bachelor of Engineering Studies',
+    'BENG(TECH)': 'Bachelor of Engineering in Technology',
+    'BFA': 'Bachelor of Fine Art',
+    'BFIN': 'Bachelor of Finance',
+    'BFLS': 'Bachelor of Financial and Legal Studies',
+    'BFST': 'Bachelor of Food Science and Technology',
+    'BH': 'Bachelor of Humanities',
+    'BHEALTHSC': 'Bachelor of Health Sciences',
+    'BHSC': 'Bachelor of Health Science',
+    'BHY': 'Bachelor of Hygiene',
+    'BJUR': 'Bachelor of Jurisprudence',
+    'BL': 'Bachelor of Law',
+    'BLE': 'Bachelor of Land Economy',
+    'BLEGSC': 'Bachelor of Legal Science',
+    'BLIB': 'Bachelor of Librarianship',
+    'BLING': 'Bachelor of Linguistics',
+    'BLITT': 'Bachelor of Letters or Bachelor of Literature',
+    'BLITTCELT': 'Bachelor of Celtic Letters',
+    'BLS': 'Bachelor of Library Studies',
+    'BMEDSC': 'Bachelor of Medical Sciences or Bachelor of Biomedical Science',
+    'BMET': 'Bachelor of Metallurgy',
+    'BMID': 'Bachelor of Midwifery',
+    'BMIN': 'Bachelor of Ministry',
+    'BMS': 'Bachelor of Midwifery Studies',
+    'BMSC': 'Bachelor of Medical Science',
+    'BMSC': 'Bachelor of Biomedical science',
+    'BMS': 'Bachelor of Management Studies',
+    'BMUS': 'Bachelor of Music',
+    'BMUSED': 'Bachelor of Music Education',
+    'BMUSPERF': 'Bachelor of Music Performance',
+    'BN': 'Bachelor of Nursing',
+    'BNS': 'Bachelor of Nursing Studies',
+    'BNURS': 'Bachelor of Nursing',
+    'BOPTOM': 'Bachelor of Clinical Optometry',
+    'BPA': 'Bachelor of Public Administration',
+    'BPHARM': 'Bachelor of Pharmacy',
+    'BPHIL': 'Bachelor of Philosophy',
+    'BPHIL(ED)': 'Bachelor of Philosophy in Education',
+    'BPHYS': 'Bachelor of Physics',
+    'BPHYSIO': 'Bachelor of Physiotherapy',
+    'BPL': 'Bachelor of Planning',
+    'BRADIOG': 'Bachelor of Radiography',
+    'BSC': 'Bachelor of Science',
+    'BSCAGR': 'Bachelor of Science in Agriculture',
+    'BSC(DAIRY)': 'Bachelor of Science in Dairying',
+    'BSC(DOMSC)': 'Bachelor of Science in Domestic Science',
+    'BSCEC': 'Bachelor of Economic and Social Studies',
+    'BSCECON': 'Bachelor of Economic Science or Bachelor of Economic and Social Studies',
+    'BSC(ECON)': 'Bachelor of Science in Economics',
+    'BSC(ENG)': 'Bachelor of Science in Engineering',
+    'BSCFOR': 'Bachelor of Science in Forestry',
+    'BSC(HEALTHSC)': 'Bachelor of Science in Health Science',
+    'BSC(HORT)': 'Bachelor of Science in Horticulture',
+    'BSC(MCRM)': 'Bachelor of Science in Marine and Coastal Reserve Management',
+    'BSC(MED)': 'Bachelor of Science in Medicine',
+    'BSC(MID)': 'Bachelor of SHRMCP in Midwifery',
+    'BSC(MIN)': 'Bachelor of Science in Mining',
+    'BSCPH': 'Bachelor of Science in Public Health',
+    'BSC(PSYCH)': 'Bachelor of Science in Psychology',
+    'BSC(TECH)': 'Bachelor of Science in Technology',
+    'BSD': 'Bachelor of Science in Dentistry',
+    'BSOCSC': 'Bachelor of Social Sciences',
+    'BSS': 'Bachelor of Social Studies',
+    'BSTSU': 'Bachelor of Dead Studies',
+    'BTCHG': 'Bachelor of Teaching',
+    'BTCP': 'Bachelor of Town and County Planning',
+    'BTECH': 'Bachelor of Technology',
+    'BTECHED': 'Bachelor of Technological Education',
+    'BTH': 'Bachelor of Theology',
+    'BTHEOL': 'Bachelor of Theology',
+    'BTS': 'Bachelor of Theatre Studies',
+    'EDB': 'Bachelor of Education',
+    'LITTB': 'Bachelor of Literature or Bachelor of Letters',
+    'LLB': 'Bachelor of Laws',
+    'MA': 'Master of Arts',
+    'MUSB': 'Bachelor of Music',
+    'SCBTECH': 'Bachelor of Science in Technology',
+    'THB': 'Bachelor of Theology',
+    'BDS': 'Bachelor of Dental Surgery',
+    'BMBS': 'Bachelors of Medicine and Surgery',
+    'BMBCH': 'Bachelors of Medicine and Surgery',
+    'BVS': 'Bachelor of Veterinary Surgery',
+    'BVETM': 'Bachelor of Veterinary Medicine',
+    'BVETMED': 'Bachelor of Veterinary Medicine',
+    'BVM&S': 'Bachelor of Veterinary Medicine and Surgery',
+    'BVMEDSC OR BVSC': 'Bachelor of Veterinary Medical Science',
+    'BVSC': 'Bachelor of Veterinary Science',
+    'MACC': 'Master in Accountancy',
+    'MANTH': 'Master in Anthropology',
+    'MART': 'Master in Arts',
+    'MBBS': 'Bachelors of Medicine and Surgery',
+    'MBCHB': 'Bachelors of Medicine and Surgery',
+    'MBIOCHEM': 'Master of Biochemistry',
+    'MBIOL': 'Master of Biology',
+    'MBIOLSCI': 'Master of Biochemistry',
+    'MBUS': 'Master in Business and Management',
+    'MCHEM': 'Master of Chemistry',
+    'MCHEMPHYS': 'Master of Chemical Physics',
+    'MCHIRO': 'Master of Chiropractic',
+    'MCOMP': 'Master of Computer Science',
+    'MDIV': 'Master of Divinity',
+    'MDES': 'Master of Design',
+    'MDRAMA': 'Master of Drama',
+    'MEARTHSCI': 'MESci Master of Earth Science',
+    'MECON': 'Master of Economics',
+    'MENG': 'Master of Engineering',
+    'MENVSC': 'Master of Environmental Science',
+    'MGEOG': 'Master of Geography',
+    'MGEOL': 'Master of Geology',
+    'MGEOPHYS': 'Master of Geophysics',
+    'MSCI (MGEOSCI)': 'Master in Geoscience ',
+    'MIF': 'Master in Finance',
+    'MIM': 'Master in Management',
+    'MINF': 'Master of Informatics',
+    'MMARK': 'Master in Marketing',
+    'MMATH': 'Master of Mathematics',
+    'MMATHCOMP': 'Master of Computational Mathematics',
+    'MMATHCOMPSCI': 'Master of Mathematics and Computer Science',
+    'MMATHPHIL': 'Master of Mathematics and Philosophy',
+    'MMATHPHYS': 'Master of Mathematics and Physics, Master of Mathematical Physics',
+    'MMATHSTAT': 'Master of Mathematics and Statistics',
+    'MMET': 'Master of Meteorology',
+    'MMORSE': 'Master of Mathematics, Operational Research, Statistics and Economics',
+    'MMS': 'Master of Management Studies',
+    'MNATSC': 'Master of Natural Science',
+    'MNURSSC': 'Master of Nursing Science',
+    'MOCEAN': 'Master of Oceanography',
+    'MOPTOM': 'Master of Clinical Optometry',
+    'MPHARM': 'Master of Pharmacy',
+    'MPHYS': 'Master of Physics',
+    'MPHYSPHIL': 'Master of Physics and Philosophy',
+    'MPLAN': 'Master of Planning',
+    'MSCI': 'Master in Science',
+    'MSTAT': 'Master of Statistics',
+    'MTHEOL': 'Master of Theology',
+    'VETMB': 'Bachelor of Veterinary Medicineor BVSs',
+    'BCL': 'Bachelor of Civil Law (Oxford)',
+    'BPHIL': 'Bachelor of Philosophy (Oxford)',
+    'LLM': 'Master of Law',
+    'MA': 'Master of Arts',
+    'MARCH': 'Master of Architecture',
+    'MAST': 'Master of Advanced Study',
+    'MBA': 'Master of Business Administration',
+    'MBM': 'Master of Business and Management',
+    'MBIOLSC': 'Master of Biological Science',
+    'MCD': 'Master of Civic Design',
+    'MCH': 'Master of Surgery',
+    'MCL': 'Master of Corporate Law',
+    'MCLINDENT': 'Master of Clinical Dentistry',
+    'MDES': 'Master of Design',
+    'MED': 'Master of Education',
+    'MFA': 'Master of Fine Art',
+    'MJUR': 'Master of Jurisprudence',
+    'MLIB': 'Master of Librarianship',
+    'MLITT': 'Master of Letters',
+    'MMUS': 'Master of Music',
+    'MOST': 'Master of Osteopathy',
+    'MPA': 'Master of Public Administration',
+    'MPH': 'Master of Public Health',
+    'MPHIL': 'Master of Philosophy',
+    'MPP': 'Master of Public Policy',
+    'MPS': 'Master of Professional Studies',
+    'MPROF': 'Master of Professional Practice',
+    'MPROFST': 'Master of Professional Studies',
+    'MRES': 'Master of Research',
+    'MSC': 'Master of Science',
+    'MSOCSC': 'Master of Social Science',
+    'MSSC': 'Master of Social Science',
+    'MST': 'Master of Studies',
+    'MSW ': 'Master of Social Work',
+    'MTL': 'Master of Teaching and Learning',
+    'MTH': 'Master of Theology',
+    'MTHEOL': 'Master of Theology',
+    'MUNIV': 'Master of the University',
+    'MUSM': 'Master of Music',
+    'LLM': 'Master of Laws',
+    'DBA': 'Doctor of Business Administration',
+    'DCOUNSPYCH': 'Doctor of Counselling Psychology',
+    'DCLINPSYCH': 'Doctor of Clinical Psychology',
+    'DDS': 'Doctor of Dental Surgery',
+    'DED': 'Doctor of Education',
+    'DEDCHPSY': 'Doctor of Educational and Child Psychology',
+    'DENG': 'Doctor of Engineering',
+    'DFORENSPSY': 'Doctor of Forensic Psychology',
+    'DHEALTHPSY': 'Doctor of Health Psychology',
+    'DHSC': 'Doctor of Health Science',
+    'DHY': 'Doctor of Hygiene',
+    'DM': 'Doctor of Medicine',
+    'DMUS': 'Doctor of Music',
+    'DMIN': 'Doctor of Ministry',
+    'DNURSSC': 'Doctor of Nursing Science',
+    'DPROF': 'Doctor of Professional Studies',
+    'DPT': 'Doctor of Practical Theology',
+    'DTHM': 'Doctor of Theology and Ministry',
+    'EDCHPSYCHD': 'Doctor of Educational and Child Psychology',
+    'EDD': 'Doctor of Education',
+    'ENGD': 'Doctor of Engineering',
+    'HSCD': 'Doctor of Health Science',
+    'JD': 'Juris Doctor',
+    'MD': 'Doctor of Medicine',
+    'MUSD': 'Doctor of Music',
+    'SOCSCD': 'Doctor of Social Science',
+    'THD': 'Doctor of Theology',
+    'PHD': 'Doctor of Philosophy',
+    'DPHIL': 'Doctor of Philosophy',
+    'MD': 'Doctor of Medicine',
+    'MD(RES)': 'Doctor of Medicine (Research)',
+    'DD': 'Doctor of Divinity',
+    'DCL': 'Doctor of Civil Law',
+    'DLITT': 'Doctor of Letters',
+    'DLIT': 'Doctor of Literature',
+    'DM': 'Doctor of Medicine',
+    'DMUS': 'Doctor of Music',
+    'DSC': 'Doctor of Science',
+    'DSC(ECON)': 'Doctor of Science (Economics)',
+    'DSC(ENG)': 'Doctor of Science (Engineering)',
+    'DSC(MED)': 'Doctor of Science (Medicine)',
+    'DTECH': 'Doctor of Technology',
+    'DUNIV': 'Doctor of the University',
+    'ENGD': 'Doctor of Engineering',
+    'LITTD': 'Doctor of Letters',
+    'LLD': 'Doctor of Laws',
+    'SCD': 'Doctor of Science',
+    }
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py	(revision 13617)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/utils/utils.py	(revision 13618)
@@ -22,4 +22,5 @@
 from waeup.kofa.utils.utils import KofaUtils, sorted_phone_prefixes
 from kofacustom.nigeria.interfaces import MessageFactory as _
+from kofacustom.nigeria.utils.degrees import DEGREES_DICT
 
 INT_PHONE_PREFIXES = [
@@ -52,4 +53,6 @@
     def sorted_phone_prefixes(cls, data=INT_PHONE_PREFIXES, request=None):
         return sorted_phone_prefixes(data, request)
+
+    DEGREES_DICT = DEGREES_DICT
 
     EXAM_SUBJECTS_DICT = {