Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 13583)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 13621)
@@ -343,4 +343,5 @@
         tabledata = []
         tableheader = []
+        contenttitle = []
         for i in range(1,7):
             tabledata.append(sorted(
@@ -408,4 +409,5 @@
         tabledata = []
         tableheader = []
+        contenttitle = []
         for i in range(1,7):
             tabledata.append(sorted(
@@ -426,72 +428,4 @@
             )
 
-class UnibenExportPDFBursaryClearancePage(UtilityView, grok.View):
-    """Deliver a PDF bursary clearance slip.
-    """
-    grok.context(ICustomStudent)
-    grok.name('bursary_clearance_slip.pdf')
-    grok.require('waeup.viewStudent')
-    prefix = 'form'
-
-    omit_fields = () # ('date_of_birth', 'current_level')
-
-    form_fields = None
-
-    @property
-    def label(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        return translate(_('Bursary Clearance Slip of'),
-            'waeup.kofa', target_language=portal_language) \
-            + ' %s' % self.context.display_fullname
-
-    def _sigsInFooter(self):
-        return (_('Date, Student Signature'),
-                _('Date, Bursary Signature'),
-                )
-
-    @property
-    def tabletitle(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        tabletitle = []
-        tabletitle.append(translate(_('Successful Payments'), 'waeup.kofa',
-            target_language=portal_language))
-        return tabletitle
-
-    def render(self):
-        portal_language = getUtility(IKofaUtils).PORTAL_LANGUAGE
-        P_ID = translate(_('Payment Id'), 'waeup.kofa', target_language=portal_language)
-        #CD = translate(_('Creation Date'), 'waeup.kofa', target_language=portal_language)
-        PD = translate(_('Payment Date'), 'waeup.kofa', target_language=portal_language)
-        CAT = translate(_('Payment Category'), 'waeup.kofa', target_language=portal_language)
-        ITEM = translate(_('Payment Item'), 'waeup.kofa', target_language=portal_language)
-        AMT = translate(_('Amount (Naira)'), 'waeup.kofa', target_language=portal_language)
-        SSS = translate(_('Payment Session'), 'waeup.kofa', target_language=portal_language)
-        studentview = StudentBasePDFFormPage(self.context.student,
-            self.request, self.omit_fields)
-        students_utils = getUtility(IStudentsUtils)
-
-        tabledata = []
-        tableheader = []
-        tabledata.append(sorted(
-            [value for value in self.context['payments'].values()
-             if value.p_state == 'paid'], key=lambda value: value.p_id))
-        tableheader.append([(P_ID,'p_id', 3),
-                         #(CD,'creation_date', 3),
-                         (PD,'formatted_p_date', 3),
-                         (CAT,'category', 3),
-                         (ITEM, 'p_item', 3),
-                         (AMT, 'amount_auth', 2),
-                         (SSS, 'p_session', 2),
-                         ])
-        return students_utils.renderPDF(
-            self, 'bursary_clearance_slip.pdf',
-            self.context.student, studentview,
-            tableheader=tableheader,
-            tabledata=tabledata,
-            signatures=None,
-            sigs_in_footer=self._sigsInFooter(),
-            omit_fields=self.omit_fields
-            )
-
 class CustomCourseTicketDisplayFormPage(CourseTicketDisplayFormPage):
     """ Page to display course tickets
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/export.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/export.py	(revision 13583)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/export.py	(revision 13621)
@@ -71,5 +71,5 @@
         sorted(iface_names(
             ICustomStudentOnlinePayment, exclude_attribs=False,
-            omit=['display_item','formatted_p_date']))) + (
+            omit=['display_item']))) + (
             'student_id','state','current_session')
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py	(revision 13583)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py	(revision 13621)
@@ -18,5 +18,4 @@
 
 from zope import schema
-from zope.interface import Attribute
 from waeup.kofa.interfaces import validate_email
 from kofacustom.nigeria.students.interfaces import (
@@ -82,6 +81,4 @@
     """
 
-    formatted_p_date = Attribute("Formatted pyment date")
-
     p_current = schema.Bool(
         title = _(u'Current Session Payment'),
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/payments.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/payments.py	(revision 13583)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/payments.py	(revision 13621)
@@ -20,13 +20,10 @@
 """
 import grok
-from datetime import datetime
-from zope.component import getUtility
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.kofa.interfaces import IKofaUtils
 from waeup.kofa.students.interfaces import IStudentNavigation
 from waeup.kofa.students.payments import (
     StudentOnlinePayment, StudentOnlinePaymentFactory)
-from waeup.kofa.utils.helpers import attrs_to_fields, to_timezone
+from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
 
@@ -50,17 +47,4 @@
         return self.__parent__.__parent__
 
-    @property
-    def formatted_p_date(self):
-        if isinstance(self.payment_date, datetime):
-            tz = getUtility(IKofaUtils).tzinfo
-            try:
-                timestamp = to_timezone(
-                    self.payment_date, tz).strftime("%Y-%m-%d %H:%M:%S")
-            except ValueError:
-                return None
-            return timestamp
-        else:
-            return None
-
 CustomStudentOnlinePayment = attrs_to_fields(
     CustomStudentOnlinePayment, omit=['display_item'])
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 13583)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 13621)
@@ -20,5 +20,4 @@
 import tempfile
 import pytz
-from time import time
 from datetime import datetime, timedelta, date
 from StringIO import StringIO
@@ -1044,35 +1043,2 @@
         self.assertEqual(self.student['payments'][value].amount_auth, 987.0)
         return
-
-    def test_bursary_pdf_slip(self):
-        payment1 = createObject(u'waeup.StudentOnlinePayment')
-        timestamp = ("%d" % int(time()*10000))[1:]
-        payment1.p_id = "p%s" % timestamp
-        payment1.p_category = 'schoolfee'
-        payment1.p_item = u'My School Fee'
-        payment1.p_session = 2015
-        payment1.p_level = 100
-        payment1.p_current = True
-        payment1.amount_auth = 23456.9
-        payment1.approve()
-        payment2 = createObject(u'waeup.StudentOnlinePayment')
-        timestamp = ("%d" % int(time()*10000))[1:]
-        payment2.p_id = "p%s" % timestamp
-        payment2.p_category = 'clearance'
-        payment2.p_item = u'My Clearance Fee'
-        payment2.p_session = 2015
-        payment2.p_level = 100
-        payment2.p_current = True
-        payment2.amount_auth = 5678.6
-        payment2.approve()
-        self.student['payments'][payment1.p_id] = payment1
-        self.student['payments'][payment2.p_id] = payment2
-        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open(self.student_path + '/bursary_clearance_slip.pdf')
-        self.assertEqual(self.browser.headers['Status'], '200 Ok')
-        self.assertEqual(self.browser.headers['Content-Type'],
-                         'application/pdf')
-        path = os.path.join(samples_dir(), 'bursary_clearance_slip.pdf')
-        open(path, 'wb').write(self.browser.contents)
-        print "Sample PDF bursary_clearance_slip.pdf written to %s" % path
-        return