Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 13628)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/applicants/tests/test_browser.py	(revision 13629)
@@ -91,8 +91,8 @@
             'scd_sit_no,scd_sit_results,scd_sit_type,screening_date,'
             'screening_score,screening_venue,sex,special,special_application,'
-            'state,student_id,suspended,translated_state\r\n,'
-            'dp2011_654321,,654321,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
+            'state,student_id,suspended,translated_state\r\n'
+            ',dp2011_654321,,654321,dp2011,CERT1,CERT1,CERT1,1981-02-04#,'
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,,,,,,'
-            '[u\'2016-01-11 10:05:17 WAT - Application initialized by system\']'
+            '[u\'2016-01-17 08:15:47 WAT - Application initialized by system\']'
             ',,,,,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
             'any password,+234-123-12345#,,,123456,,,,,,,'
@@ -106,20 +106,17 @@
             self.outfile,
             ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
-             'container_code','course1','course2','course_admitted',
-             'date_of_birth','ignore_display_fullname','email','emp2_end',
-             'emp2_position','emp2_reason','emp2_start','emp_end',
-             'emp_position','emp_reason','emp_start','employer',
-             'employer2','firstname','fst_sit_date','fst_sit_fname',
-             'fst_sit_no','fst_sit_results','fst_sit_type','ignore_history',
-             'hq_degree','hq_disc','hq_fname','hq_matric_no','hq_school',
-             'hq_session','hq_type','jamb_reg_number','jamb_score',
-             'jamb_subjects','jamb_subjects_list','lastname','lga',
-             'locked','middlename','nationality','notice','nysc_lga',
-             'nysc_year','password','phone','presently_inst','programme_type',
-             'reg_number','result_uploaded','scd_sit_date','scd_sit_fname',
-             'scd_sit_no','scd_sit_results','scd_sit_type','screening_date',
-             'screening_score','screening_venue','sex','ignore_special',
-             'special_application','state','student_id','suspended',
-             'translated_state'],
+            'container_code','course1','course2','course_admitted','date_of_birth',
+            'ignore_display_fullname','email','emp2_end','emp2_position','emp2_reason',
+            'emp2_start','emp_end','emp_position','emp_reason','emp_start','employer',
+            'employer2','firstname','fst_sit_date','fst_sit_fname','fst_sit_no',
+            'fst_sit_results','fst_sit_type','ignore_history','hq_degree','hq_disc',
+            'hq_fname','hq_matric_no','hq_school','hq_session','hq_type',
+            'jamb_reg_number','jamb_score','jamb_subjects','jamb_subjects_list',
+            'lastname','lga','locked','middlename','nationality','notice','nysc_lga',
+            'nysc_year','password','phone','presently_inst','programme_type',
+            'reg_number','result_uploaded','scd_sit_date','scd_sit_fname',
+            'scd_sit_no','scd_sit_results','scd_sit_type','screening_date',
+            'screening_score','screening_venue','sex','ignore_special','special_application',
+            'state','student_id','suspended','ignore_translated_state'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -135,21 +132,18 @@
         result = processor.doImport(
             self.outfile,
-           ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
-             'ignore_container_code','course1','course2','course_admitted',
-             'date_of_birth','ignore_display_fullname','email','emp2_end',
-             'emp2_position','emp2_reason','emp2_start','emp_end',
-             'emp_position','emp_reason','emp_start','employer',
-             'employer2','firstname','fst_sit_date','fst_sit_fname',
-             'fst_sit_no','fst_sit_results','fst_sit_type','ignore_history',
-             'hq_degree','hq_disc','hq_fname','hq_matric_no','hq_school',
-             'hq_session','hq_type','jamb_reg_number','jamb_score',
-             'jamb_subjects','jamb_subjects_list','lastname','lga',
-             'locked','middlename','nationality','notice','nysc_lga',
-             'nysc_year','password','phone','presently_inst','programme_type',
-             'reg_number','result_uploaded','scd_sit_date','scd_sit_fname',
-             'scd_sit_no','scd_sit_results','scd_sit_type','screening_date',
-             'screening_score','screening_venue','sex','ignore_special',
-             'special_application','state','student_id','suspended',
-             'translated_state'],
+            ['aggregate','ignore_applicant_id','application_date','ignore_application_number',
+            'ignore_container_code','course1','course2','course_admitted','date_of_birth',
+            'ignore_display_fullname','email','emp2_end','emp2_position','emp2_reason',
+            'emp2_start','emp_end','emp_position','emp_reason','emp_start','employer',
+            'employer2','firstname','fst_sit_date','fst_sit_fname','fst_sit_no',
+            'fst_sit_results','fst_sit_type','ignore_history','hq_degree','hq_disc',
+            'hq_fname','hq_matric_no','hq_school','hq_session','hq_type',
+            'jamb_reg_number','jamb_score','jamb_subjects','jamb_subjects_list',
+            'lastname','lga','locked','middlename','nationality','notice','nysc_lga',
+            'nysc_year','password','phone','presently_inst','programme_type',
+            'reg_number','result_uploaded','scd_sit_date','scd_sit_fname',
+            'scd_sit_no','scd_sit_results','scd_sit_type','screening_date',
+            'screening_score','screening_venue','sex','ignore_special','special_application',
+            'state','student_id','suspended','ignore_translated_state'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/browser/tests.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/browser/tests.py	(revision 13628)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/browser/tests.py	(revision 13629)
@@ -49,2 +49,5 @@
         shutil.rmtree(self.dc_root)
 
+    def test_dummytest(self):
+        return
+
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/payments.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/payments.py	(revision 13628)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/payments.py	(revision 13629)
@@ -23,10 +23,10 @@
 from zope.interface import implementedBy
 from waeup.kofa.students.interfaces import IStudentNavigation
-from waeup.kofa.students.payments import (
-    StudentOnlinePayment, StudentOnlinePaymentFactory)
 from waeup.kofa.utils.helpers import attrs_to_fields
+from kofacustom.nigeria.students.payments import (
+    NigeriaStudentOnlinePayment, NigeriaStudentOnlinePaymentFactory)
 from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
 
-class CustomStudentOnlinePayment(StudentOnlinePayment):
+class CustomStudentOnlinePayment(NigeriaStudentOnlinePayment):
     """This is a custom online payment for students.
 
@@ -50,5 +50,5 @@
     CustomStudentOnlinePayment, omit=['display_item'])
 
-class CustomStudentOnlinePaymentFactory(StudentOnlinePaymentFactory):
+class CustomStudentOnlinePaymentFactory(NigeriaStudentOnlinePaymentFactory):
     """A factory for student online payments.
     """
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_browser.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_browser.py	(revision 13628)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_browser.py	(revision 13629)
@@ -36,2 +36,10 @@
 from kofacustom.skeleton.testing import FunctionalLayer
 
+
+class StudentsContainerUITests(StudentsFullSetup):
+    # Tests for StudentsContainer class views and pages
+
+    layer = FunctionalLayer
+
+    def test_dummytest(self):
+        return
Index: /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py
===================================================================
--- /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 13628)
+++ /main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 13629)
@@ -49,5 +49,7 @@
             'clr_code,date_of_birth,def_adm,disabled,email,emp2_end,'
             'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
-            'emp_reason,emp_start,employer,employer2,firstname,former_matric,'
+            'emp_reason,emp_start,employer,employer2,'
+            'financial_clearance_date,financially_cleared_by,'
+            'firstname,former_matric,'
             'fst_sit_date,fst_sit_fname,fst_sit_no,fst_sit_results,'
             'fst_sit_type,hq2_degree,hq2_disc,hq2_matric_no,hq2_school,'
@@ -63,5 +65,5 @@
             'current_level,current_session\r\nmy adm code,,,,'
             '"[(\'printing_craft_practice\', \'A1\')]",my clr code,1981-02-04#,,,'
-            'anna@sample.com,,,,,,,,,,,Anna,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
+            'anna@sample.com,,,,,,,,,,,,,Anna,,,,,"[(\'printing_craft_practice\', \'A1\')]"'
             ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'
             '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,,123,,,,,'